No Servers Found when using Addon for Kodi 17.3

plex-for-kodi

#1

I have tried .102 and .102b5 and can not see my plex server. It appears its not logging into Plex. I have removed them from plex as devices and they have never reappeared. Can anyone help?


#2

by the way the server works fine over the webapp on other systems and DLNA works fine along with my phones plex app.
This just started late last night. I have two kodi boxes and both have 17.3 . I was trying to hold off from rolling it back or doing a clean load.


#3

Check server settings. Secure connections - set to either preferred or disabled. Check App settings for "Allow Insecure Connections - Always or On the Same Network.


#4

Tried that before but did it again. Still not working. I have using KodiConnect for now and DLNA works fine so it makes me think there is a Addon bug. Is anyone on Kodi 17.3 with this addon and it is working?


#5

Running 17.3 with the Plex for Kodi addon using both a Chromebox (addon version 0.0.102b5) and a MiBox (addon version 0.0.102).


#6

I got similar problem for 4 months.
I tried both on kodibuntu release and on 2 differents android tv devices with the same results.

The problem appears only when my server is accessible from outside. Disabling server remote access fix the problem for me but it's only a workaround.

http://forums.plex.tv/discussion/259017/network-issues
http://forums.plex.tv/discussion/260289/server-is-not-accessible


#7

It seems I found the issue.. I Wiped on of the systems reinstalled the plex addon and test. Linked back to plex and all worked perfect. reinstalled some of my other addons and tested again. It broke. Went to recently updated addons and noticed Python was actually rolled back. Updated it back to what Plex addon was using and presto it worked again. So for anyone out there having a similar issue check conflicting addons that might have recently upgraded or modified a dependent addon.
So this post can be closed. Thanks for everyones help.


#8

So I had the same problem with Kodi 16 and on 17.4, there were no dependencies on my system, turning off Remote Access on the server side made it work for me.


#9

In my case the problem was a Python module.


#10

Thanks. It was also the python module for me.


#11

I can confirm that the issue is with the requests add-on. After being updated to version 2.18.4 i couldn't connect to my Plex server anymore, downgrading it back to 2.12.4 and disabling auto update resolved the issue.


#12

Got the same issue with requests add-on. How can I downgrade it to 2.12.14?


#13

i seem to have the same issue. manifests in the debug log as:
22:45:21.900 T:18446744072527688168 NOTICE: script.plex: API: ERROR: Request failed https://plex.tv/users/account?X-Plex-Token=Sop[redacted]msR7 - _new_pool() got an unexpected keyword argument 'request_context'

how does one update individual python modules/elements in Kodi? I did not install any Add-On other than Plex and the Kodi log uploader.


#14

In Kodi, go to recently updated add-ons and select the requester one, then choose update and from the list select a version earlier than the one installed. Should already be in local cache and be applied immediately. Launch the Plex for Kodi add-on again and you should be back in business.


#15

Any suggestions on how to remove/rollback when using this on a Sony TV (so, Android Kodi) - also has the issue, but I'm unsure what to rollback/how - I noticed it updated some of the python modules before it stopped working.


#16

When I look at my Recently updated list on a FTV2, I only have "The TVDB" and "Version Check". Is the name of the add-on I should be looking for simply "Requester"?


#17

Hello, My plex for Kodi stopped working last night and instead of checking what happened I just went ahead and reloaded Kodi. I see about rolling the requests dependency back but I don't have a locally cached version anymore since I reloaded Kodi. Does anyone know how I can load an older version of the requests dependency? I went to the GitHub and downloaded the zip and tried to install from zip but it fails.


#18

You can download previous versions here: https://github.com/beenje/script.module.requests/releases


#19

Thank you very much, I will try that once I get home from work and report back.


#20

@sleepsterz said:
Hello, My plex for Kodi stopped working last night and instead of checking what happened I just went ahead and reloaded Kodi. I see about rolling the requests dependency back but I don't have a locally cached version anymore since I reloaded Kodi. Does anyone know how I can load an older version of the requests dependency? I went to the GitHub and downloaded the zip and tried to install from zip but it fails.

I did the same as you and wiped out the ability to rollback. Lesson learned! I will try installing as well from the provided link and see what the results are. I'm on a FireTV so I'm not sure if I should use the Downloader app to install from the link or if there is a way to do it directly within the Kodi app.